

%define kexiv2_major 5
%define libkf5exiv2 %mklibname kf5exiv2_ %kexiv2_major
%define libkf5exiv2_devel %mklibname kf5exiv2 -d

Name: libkexiv2
Summary: Wrapper around exiv2 library
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkf5exiv2
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: %{_lib}exiv2-devel
BuildRequires: kcoreaddons-devel
BuildRequires: ki18n-devel
BuildRequires: ktextwidgets-devel

Obsoletes: %{_lib}kf5exiv2_5
Provides: %{_lib}kf5exiv2_5 = %version-%release


%description
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

%files
#------------------------------------------------------------------------------
%{_kf5_libdir}/libKF5KExiv2.so.%{kexiv2_major}*
%{_kf5_libdir}/libKF5KExiv2.so.15*
#------------------------------------------------------------------------------



%package -n %{libkf5exiv2_devel}
Summary: Devel stuff for %name
Group: Development/Libraries
Requires: %{name} = %version-%release
Provides: %name-devel = %version-%release

%description -n %{libkf5exiv2_devel}
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

This package contains header files needed if you wish to build applications
based on libkf5exiv2.

%files -n %{libkf5exiv2_devel}
%{_kf5_includedir}/KExiv2
%{_kf5_includedir}/libkexiv2_version.h
%{_kf5_libdir}/*.so
%{_kf5_libdir}/cmake/KF5KExiv2

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update


